<template>
    <div id="app">
        <router-view />
    </div>
</template>

<script>
import "babel-polyfill";
export default {
    name: "App",
    created() {
        //在页面加载时读取localStorage里的状态信息
        if (localStorage.getItem("initVuex")) {
            this.$store.replaceState(
                Object.assign(
                    {},
                    this.$store.state,
                    JSON.parse(localStorage.getItem("initVuex"))
                )
            );
        }

        //在页面刷新时将vuex里的信息保存到localStorage里
        window.addEventListener("beforeunload", () => {
            localStorage.setItem("initVuex", JSON.stringify(this.$store.state));
        });
    }
};
</script>

<style>
#app {
    font-family: "Avenir", Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    color: #333;
}
</style>
